View Issue Details

IDProjectCategoryView StatusLast Update
0003982Path[FreeCAD] Bugpublic2019-06-19 01:39
Reporterscholli Assigned Toruss4262  
PrioritynormalSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version[FreeCAD] 0.19 
Target Version[FreeCAD] 0.19Fixed in Version[FreeCAD] 0.19 
Summary0003982: base object jumps out of position while trying to create a pocket operation
Descriptionhttps://forum.freecadweb.org/viewtopic.php?f=15&t=36507
Steps To Reproducechoose bottom of pocket in object
create pocket operation
apply
--> object changes position in space
TagsPath
FreeCAD Information

Activities

russ4262

2019-06-13 21:25

developer   ~0013205

Last edited: 2019-06-13 21:28

View 2 revisions

Proposed PR 2231 addresses this issue. Upon merging of the PR, this issue will be resolved.

Kunda1

2019-06-13 22:43

administrator   ~0013207

Lets see if the source integration plugin for the bugtracker is working again.

FreeCAD Pull Request 2231

Kunda1

2019-06-13 22:45

administrator   ~0013208

@russ4262 FYI, you can use https://freecadweb.org/wiki/tracker#GitHub_and_MantisBT to remotely reference of close tickets in the bugtracker from github. Cheers!

Kunda1

2019-06-13 22:46

administrator   ~0013209

Ticket status set to 'assigned'

russ4262

2019-06-18 04:28

developer   ~0013245

@Kunda1
In my account, I do not see any way to mark this as resolved or fixed. This issue is now fixed. PR 2231 has been committed.

Thank you, Sir.

russ4262

2019-06-19 01:39

developer   ~0013259

Thanks to the FC community for your reporting, testing, feedback, and patience to correct this issue.
Fixed as of pre_0.19.17065 release.

Related Changesets

FreeCAD: master f57f3d73

2019-06-17 16:10:28

sliptonic


Committer: GitHub Details Diff
Merge pull request 0002231 from Russ4262/pathpocketshape_fix

Path: PocketShape - Fix repositioning of Job model; ProfileFaces - add 4th-axis feature
Affected Issues
0003982
mod - src/Mod/Path/PathScripts/PathAreaOp.py Diff File
mod - src/Mod/Path/PathScripts/PathPocketShape.py Diff File
mod - src/Mod/Path/PathScripts/PathProfileFaces.py Diff File

Issue History

Date Modified Username Field Change
2019-05-19 11:42 scholli New Issue
2019-05-19 11:42 scholli Tag Attached: Path
2019-06-13 21:25 russ4262 Note Added: 0013205
2019-06-13 21:28 russ4262 Note Edited: 0013205 View Revisions
2019-06-13 22:43 Kunda1 Note Added: 0013207
2019-06-13 22:45 Kunda1 Note Added: 0013208
2019-06-13 22:46 Kunda1 Status new => assigned
2019-06-13 22:46 Kunda1 Note Added: 0013209
2019-06-13 22:46 Kunda1 Target Version => 0.19
2019-06-18 04:28 russ4262 Note Added: 0013245
2019-06-18 07:31 Kunda1 Assigned To => russ4262
2019-06-18 07:32 Kunda1 Changeset attached => FreeCAD master f57f3d73
2019-06-19 01:39 russ4262 Status assigned => closed
2019-06-19 01:39 russ4262 Resolution open => fixed
2019-06-19 01:39 russ4262 Fixed in Version => 0.19
2019-06-19 01:39 russ4262 Note Added: 0013259